Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001139Core InformRules and rulebookspublic2013-10-06 08:482014-05-07 07:34
ReporterChrisC 
Assigned Tograham 
PrioritynormalSeveritycriticalReproducibilityalways
StatusclosedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0001139: "Named" rule missing a name breaks NI
DescriptionInterestingly, removing the extra space between "the" and "rule" causes NI to hang with a clicking sound effect looping instead.
Minimal Source Text To Reproduce
There is room.

When play begins (this is the  rule):
	say "A".
Additional Information...

When a program like the I7 compiler fails, it typically returns an error number: this time, the number was 10, and that probably indicates that the compiler failed to manage its data structures properly. Perhaps you created a complicated situation on which it has not been fully tested.

...
TagsNo tags attached.
Effect(critical) Compiler crashes
Attached Files

- Relationships
related to 0001141closedgraham Naming a rule without "the", error message blames when/while clause 

-  Notes
(0002140)
zarf (developer)
2013-10-06 14:15

Confirmed. Stack trace:

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0 ni 0x0006db29 stream_printf + 1001
1 ni 0x00075b47 Code__Rules__compile_rule_printing_switch + 311
2 ni 0x0012f7ef Config__Template__interpret + 25407
3 ni 0x0012a966 Config__Template__interpret + 5302
4 ni 0x0012a966 Config__Template__interpret + 5302
5 ni 0x001314bc main + 636
(0002141)
zarf (developer)
2013-10-06 14:20

With the extra space removed, I get the same stack trace.

I tried the simpler form:

This is the rule:
say "A".

This did not crash, and produced a correct (if not-very-specific) problem message:

You wrote 'This is the rule' : but the punctuation here ':' makes me think this should be a definition of a phrase and it doesn't begin as it should...
(0002246)
graham (administrator)
2014-01-04 10:48

The internal error was removed as a result of something else, but I made the problem message more helpful in both cases.

- Issue History
Date Modified Username Field Change
2013-10-06 08:48 ChrisC New Issue
2013-10-06 14:15 zarf Note Added: 0002140
2013-10-06 14:15 zarf Status new => confirmed
2013-10-06 14:20 zarf Note Added: 0002141
2013-10-06 14:27 zarf Effect (critical) Compiler reports internal error => (critical) Compiler crashes
2013-10-17 10:59 zarf Relationship added related to 0001141
2014-01-04 10:48 graham Note Added: 0002246
2014-01-04 10:48 graham Status confirmed => resolved
2014-01-04 10:48 graham Resolution open => fixed
2014-01-04 10:48 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker